package wenrgise.hrms.ejb.facade;

import java.sql.Timestamp;
import java.util.ArrayList;
import javax.ejb.EJBLocalObject;
import wenrgise.common.bean.BaseHeaderBean;
import wenrgise.common.exception.EnrgiseApplicationException;
import wenrgise.common.exception.EnrgiseSystemException;
import wenrgise.common.utility.RecordMetaInfo;
import wenrgise.common.utility.UserInfo;
import wenrgise.common.vo.LovQueryVO;
import wenrgise.common.vo.LovVO;
import wenrgise.hrms.bean.HrmAdvSettleHdrBean;
import wenrgise.hrms.bean.HrmAdvanceMstHdrBean;
import wenrgise.hrms.bean.HrmClaimMstHdrBean;
import wenrgise.hrms.bean.HrmEmpAdvAppHdrBean;
import wenrgise.hrms.vo.HrmAdvMstQueryVO;
import wenrgise.hrms.vo.HrmAdvSettleHeadsQVO;
import wenrgise.hrms.vo.HrmAdvSettleQVO;
import wenrgise.hrms.vo.HrmClaimMstQVO;
import wenrgise.hrms.vo.HrmEmpAdvAppQueryVO;
import wenrgise.hrms.vo.HrmEmpClaimQVO;
import wenrgise.hrms.vo.HrmSettleQueryVO;

public interface HrmAdvanceClaimFacadeLocal extends EJBLocalObject {
  RecordMetaInfo getHrmAdvMstHeaderMetaInfo(HrmAdvMstQueryVO paramHrmAdvMstQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmAdvMstHeader(HrmAdvMstQueryVO paramHrmAdvMstQueryVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmAdvDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmAdvDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmCurAdvDetail() throws EnrgiseApplicationException, EnrgiseSystemException;
  
  void updateAdvanceMst(String paramString1, String paramString2, String paramString3, String paramString4) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmAdvMstCodeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmAdvMstCalendarCodeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmAdvMstCodeInsLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmAdvanceMstHdrBean paramHrmAdvanceMstHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmSettleHeadsLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmAdvSetHeaderMetaInfo(HrmSettleQueryVO paramHrmSettleQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmAdvSetHeader(HrmSettleQueryVO paramHrmSettleQueryVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmAdvSetDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmAdvSetDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveAdvSetData(BaseHeaderBean paramBaseHeaderBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmEmpAdvAppHeaderMetaInfo(HrmEmpAdvAppQueryVO paramHrmEmpAdvAppQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmEmpAdvAppHeader(HrmEmpAdvAppQueryVO paramHrmEmpAdvAppQueryVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmAdvAppAdvCdLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmEmpAdvAppHdrBean paramHrmEmpAdvAppHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmAdvAppAdvCdInsLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmAdvAppAdvEligLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmClaimMstHdrMetaInfo(HrmClaimMstQVO paramHrmClaimMstQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmClaimMstHdrInfo(HrmClaimMstQVO paramHrmClaimMstQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmClaimMstDtlMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmClaimMstDtlInfo(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmClaimMstHdrBean paramHrmClaimMstHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  void updateClaimMst(String paramString1, String paramString2, String paramString3, String paramString4) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmClaimCodeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmAdvSettlementHdrMetaInfo(HrmAdvSettleQVO paramHrmAdvSettleQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmAdvSettlementHeader(HrmAdvSettleQVO paramHrmAdvSettleQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmAdvSettleAdvCdLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmAdvSettleHdrBean paramHrmAdvSettleHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String approveAdvSettlement(HrmAdvSettleHdrBean paramHrmAdvSettleHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String rejectAdvSettlement(HrmAdvSettleHdrBean paramHrmAdvSettleHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String submitAdvSettlement(HrmAdvSettleHdrBean paramHrmAdvSettleHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrAdvSettleHeadsDetailMetaInfo(HrmAdvSettleHeadsQVO paramHrmAdvSettleHeadsQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrAdvSettleHeadsDetail(HrmAdvSettleHeadsQVO paramHrmAdvSettleHeadsQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveHrmAdvSettleHds(BaseHeaderBean paramBaseHeaderBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmEmpClaimDtlMetaInfo(HrmEmpClaimQVO paramHrmEmpClaimQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmEmpClaimDetailInfo(HrmEmpClaimQVO paramHrmEmpClaimQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveHrmEmpClaim(BaseHeaderBean paramBaseHeaderBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmEmpClaimEmpLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmEmpClaimCodeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmAdvAppEmpNoLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmAdvAppInsEmpNoLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmEmpClaimDtlCodeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmEmpClaimNoLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmEmpEmpNoLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String advAppBulkSettlePayment(HrmEmpAdvAppHdrBean paramHrmEmpAdvAppHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getYYMMReportLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getDesigIdReportLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
}
